package com.ibiz.client.org.config;

import org.springframework.boot.autoconfigure.condition.ConditionalOnClass;
import org.springframework.boot.autoconfigure.condition.ConditionalOnWebApplication;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.cloud.openfeign.FeignClientsConfiguration;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Import;

@Configuration
@ConditionalOnClass(OrgClientConfiguration.class)
@ConditionalOnWebApplication
@EnableConfigurationProperties(OrgClientProperties.class)
@Import({
    FeignClientsConfiguration.class
})
public class OrgAutoConfiguration {

}
